RemoveForm (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.action.resource.common.monitor.alerts.RemoveForm class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action.resource.common.monitor.alerts
Class RemoveForm

    java.lang.Object
      org.apache.struts.action.ActionForm
          org.apache.struts.validator.ValidatorForm
              org.hyperic.hq.ui.action.BaseValidatorForm
                  org.hyperic.hq.ui.action.CalendarForm
                      org.hyperic.hq.ui.action.ScheduleForm
                          org.hyperic.hq.ui.action.resource.ResourceForm
                              org.hyperic.hq.ui.action.resource.common.monitor.alerts.RemoveForm

All Implemented Interfaces:
  java.io.Serializable

    public class RemoveForm

extends ResourceForm

A subclass of `ResourceForm` representing the RemoveAlert form.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hyperic.hq.ui.action.ScheduleForm
`END_NEVER, END_ON_DATE, EVERY_DAY, EVERY_WEEKDAY, ON_DAY, ON_EACH, RECUR_DAILY, RECUR_MONTHLY, RECUR_NEVER, RECUR_WEEKLY, START_NOW, START_ON_DATE`

Fields inherited from class org.hyperic.hq.ui.action.CalendarForm
`AM, PM`

Fields inherited from class org.apache.struts.validator.ValidatorForm
`page, validatorResults`

Fields inherited from class org.apache.struts.action.ActionForm
`multipartRequestHandler, servlet`

Constructor Summary
`RemoveForm()`

Method Summary
`java.lang.String` | `getAckNote()`
`java.lang.Integer` | `getAd()`
`java.lang.Integer[]` | `getAlerts()` Getter for alerts
`java.lang.String` | `getButtonAction()`
`java.lang.String[]` | `getEalerts()`
`java.lang.String` | `getFixedNote()`
`java.lang.String` | `getOutput()`
`long` | `getPauseTime()`
`boolean` | `isFixAll()`
`void` | `reset(org.apache.struts.action.ActionMapping mapping, javax.servlet.http.HttpServletRequest request)`
`void` | `setAckNote(java.lang.String ackNote)`
`void` | `setAd(java.lang.Integer ad)`
`void` | `setAlerts(java.lang.Integer[] alerts)` Setter for alerts
`void` | `setButtonAction(java.lang.String action)`
`void` | `setEalerts(java.lang.String[] ealerts)`
`void` | `setFixAll(boolean fixAll)`
`void` | `setFixedNote(java.lang.String fixedNote)`
`void` | `setOutput(java.lang.String output)`
`void` | `setPauseTime(long pauseTime)`
`java.lang.String` | `toString()`

Methods inherited from class org.hyperic.hq.ui.action.resource.ResourceForm
`getAetid, getDescription, getEid, getLocation, getName, getResourceType, getResourceTypes, getRid, getType, isCanModify, loadResourceValue, setAetid, setCanModify, setDescription, setEid, setLocation, setName, setResourceType, setResourceTypes, setRid, setType, updateResourceValue, validate`

Methods inherited from class org.hyperic.hq.ui.action.ScheduleForm
`createSchedule, getControlActions, getEachDay, getEndTime, getIsNow, getMonthlyRecurrenceDay, getNumControlActions, getNumDays, getNumMonths, getNumWeeks, getRecurInterval, getRecurrenceDay, getRecurrenceFrequencyDaily, getRecurrenceFrequencyMonthly, getRecurrenceWeek, getStartTime, populateFromSchedule, setControlActions, setEachDay, setEndTime, setMonthlyRecurrenceDay, setNumControlActions, setNumDays, setNumMonths, setNumWeeks, setRecurInterval, setRecurrenceDay, setRecurrenceFrequencyDaily, setRecurrenceFrequencyMonthly, setRecurrenceWeek, setStartTime`

Methods inherited from class org.hyperic.hq.ui.action.CalendarForm
`calcHour, getEndAmPm, getEndDate, getEndDay, getEndHour, getEndMin, getEndMonth, getEndYear, getInitStartTime, getStartAmPm, getStartDate, getStartDay, getStartHour, getStartMin, getStartMonth, getStartYear, getWantEndDate, getYearOptions, populateEndDate, populateStartDate, setEndAmPm, setEndDay, setEndHour, setEndMin, setEndMonth, setEndYear, setStartAmPm, setStartDay, setStartHour, setStartMin, setStartMonth, setStartYear, setWantEndDate, shouldValidateDateRange, validateDateRange`

Methods inherited from class org.hyperic.hq.ui.action.BaseValidatorForm
`getAdd, getCancel, getCreate, getDelete, getEnable, getOk, getOkassign, getPn, getPs, getRemove, getReset, getUserset, isAddClicked, isCancelClicked, isCreateClicked, isDeleteClicked, isEnableClicked, isOkAssignClicked, isOkClicked, isRemoveClicked, isResetClicked, isUsersetClicked, setAdd, setCancel, setCreate, setDelete, setEnable, setOk, setOkassign, setPn, setPs, setRemove, setReset, setUserset, shouldValidate`

Methods inherited from class org.apache.struts.validator.ValidatorForm
`getPage, getResultValueMap, getValidationKey, getValidatorResults, setPage, setValidatorResults`

Methods inherited from class org.apache.struts.action.ActionForm
`getMultipartRequestHandler, getServlet, getServletWrapper, reset, setMultipartRequestHandler, setServlet, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RemoveForm

    public RemoveForm()

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `ResourceForm`

### getAlerts

    public java.lang.Integer[] getAlerts()

  Getter for alerts

  Returns:
    alerts in an array

### setAlerts

    public void setAlerts(java.lang.Integer[] alerts)

  Setter for alerts

  Parameters:
    `alerts` - As an Integer array

### getEalerts

    public java.lang.String[] getEalerts()

### setEalerts

    public void setEalerts(java.lang.String[] ealerts)

### getAd

    public java.lang.Integer getAd()

### setAd

    public void setAd(java.lang.Integer ad)

### getButtonAction

    public java.lang.String getButtonAction()

### setButtonAction

    public void setButtonAction(java.lang.String action)

### getOutput

    public java.lang.String getOutput()

### setOutput

    public void setOutput(java.lang.String output)

### getAckNote

    public java.lang.String getAckNote()

### setAckNote

    public void setAckNote(java.lang.String ackNote)

### getFixedNote

    public java.lang.String getFixedNote()

### setFixedNote

    public void setFixedNote(java.lang.String fixedNote)

### isFixAll

    public boolean isFixAll()

### setFixAll

    public void setFixAll(boolean fixAll)

### getPauseTime

    public long getPauseTime()

### setPauseTime

    public void setPauseTime(long pauseTime)

### reset

    public void reset(org.apache.struts.action.ActionMapping mapping,
                      javax.servlet.http.HttpServletRequest request)

  Overrides:
    `reset` in class `ResourceForm`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.